Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.communication.messages
Class MapUpdateMessage

    java.lang.Object
      gecco.communication.messages.Message
          gecco.communication.messages.MapUpdateMessage

public class MapUpdateMessage
extends Message

This message is put in the send queue on the server part of the communication, when the server calls automatonHasState

Author:
  Niklas Hallenfur, Karl Hasselström

Field Summary
`Color` | `color` Description of the Field
`int` | `x` Description of the Field
`int` | `y` Description of the Field

Constructor Summary
`MapUpdateMessage(int x, int y, Color c)` Constructor for the MapUpdateMessage object

Method Summary
`static Message` | `read(DataInput in)` This factory method reads a message of this type without an initial ID from the input stream, and returns a `Message` object.
`void` | `write(DataOutput out)` This method writes the message to the given `DataOutput`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    public int x

  Description of the Field

### y

    public int y

  Description of the Field

### color

    public Color color

  Description of the Field

Constructor Detail

### MapUpdateMessage

    public MapUpdateMessage(int x,
                            int y,
                            Color c)

  Constructor for the MapUpdateMessage object

Parameters:
  `x` - Description of Parameter
  `y` - Description of Parameter
  `c` - Description of Parameter

Method Detail

### write

    public void write(DataOutput out)
               throws IOException

  This method writes the message to the given `DataOutput`.

  Specified by:
    `write` in class `Message`
  Parameters:
    `out` - The output stream.
  Throws:
    `IOException` - In case something goes wrong.

### read

    public static Message read(DataInput in)
                        throws IOException

  This factory method reads a message of this type without an initial ID from the input stream, and returns a `Message` object.

  Parameters:
    `in` - The input stream.
  Returns:
    An instance of `Message`.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD